import React from 'react';

import PreView from 'dumi-theme-default/src/builtins/Previewer';
import LazyLoad from 'react-lazyload';

import ProSkeleton from '@ant-design/pro-skeleton';

export default ({ children, ...rest }) => {
  return (
    <LazyLoad height={500} offset={300} placeholder={<ProSkeleton type="descriptions" />} once>
      <PreView {...rest}>{children}</PreView>
    </LazyLoad>
  );
};